package com.ejie.p06b.datatype.model;

import java.io.Serializable;

import com.ejie.p06b.general.P06BConstantes;
import com.ejie.p06b.util.P06BResources;

/**
 * XXXX
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (01/06/07)
 */
public class P06B24T00Datatype implements Serializable {
	
	private String tipo = "";
	private String nExpediente = "";
	private String identificador = "";
	private String nombre = "";
	private String ape1 = "";
	private String ape2 = "";
	private String domici = "";
	private String codmun = "";
	private String locali = "";
	private String codpro = "";
	private String codpst = "";
	private String pais = "";
	private String profesi = "";
	private String curso = "";
	private String denCurso = "";
	private String fechNom = "";
	private String fecSus = "";
	private String fecLeSus = "";
	private String fecRev = "";
	private String fecInha = "";
	private String durHab = "";
	private String fecCese = "";
	private String sanciones = "";
	private String acredita = "";
	private String dAcredita = "";
	private String acreditaH = "";
	private String dAcreditaH = "";
	private String vinculaciones = "";
	private String enAseAutori = "";
	//private String fecAlta = "";
	//private String cargo = "";
	private String idCargo = "";
//	private String denCargo = "";
//	private String idRep = "";
//	private String nomRep = "";
//	private String tipo1 = "";
//	private String razSoc = "";
	private int operacion = -1;
	private int aprobado = 1;
	private P06B24T00Datatype datos24Originales;
	
	
	public boolean isEmpty() {
		if(identificador.trim().equals("")
				&& nombre.trim().equals("")				
				&& ape1.trim().equals("")
				&& ape2.trim().equals("")
				&& domici.trim().equals("")
				&& codmun.trim().equals("")
				&& locali.trim().equals("")
				&& codpro.trim().equals("")
				&& codpst.trim().equals("")
				&& pais.trim().equals("")
				&& profesi.trim().equals("")
				&& curso.trim().equals("")
				&& denCurso.trim().equals("")
				&& fechNom.trim().equals("")
				&& fecSus.trim().equals("")
				&& fecLeSus.trim().equals("")
				&& fecRev.trim().equals("")
				&& fecInha.trim().equals("")
				&& durHab.trim().equals("")
				&& sanciones.trim().equals("")
				&& dAcredita.trim().equals("")
				&& dAcreditaH.trim().equals("")
				&& vinculaciones.trim().equals("")
				&& enAseAutori.trim().equals("")
				&& idCargo.trim().equals("")
				&& fecCese.trim().equals(""))
			return true;
		return false;
	}
	/**
	 * @return Returns the fecAlta.
	 */
	/*public String getFecAlta() {
		return fecAlta;
	}*/
	/**
	 * @param fecAlta The fecAlta to set.
	 */
	/*public void setFecAlta(String fecAlta) {
		this.fecAlta = fecAlta;
	}*/
	/**
	 * @return Returns the fecCese.
	 */
	public String getFecCese() {
		return fecCese;
	}
	/**
	 * @param fecCese The fecCese to set.
	 */
	public void setFecCese(String fecCese) {
		this.fecCese = fecCese;
	}
	/**
	 * @return Returns the identificador.
	 */
	public String getIdentificador() {
		return identificador;
	}
	/**
	 * @param identificador The identificador to set.
	 */
	public void setIdentificador(String identificador) {
		this.identificador = identificador;
	}
	
	public String getnExpediente() {
		return nExpediente;
	}
	public void setnExpediente(String nExpediente) {
		this.nExpediente = nExpediente;
	}
	/**
	 * @return Returns the nombre.
	 */
	public String getNombre() {
		return nombre;
	}
	/**
	 * @param nombre The nombre to set.
	 */
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	/**
	 * @return Returns the cargo.
	 */
	/*public String getCargo() {
		return cargo;
	}*/
	/**
	 * @param cargo The cargo to set.
	 */
	/*public void setCargo(String cargo) {
		this.cargo = cargo;
	}*/
	
	/**
	 * @return Returns the ape1.
	 */
	public String getApe1() {
		return ape1;
	}
	/**
	 * @param ape1 The ape1 to set.
	 */
	public void setApe1(String ape1) {
		this.ape1 = ape1;
	}
	
	/**
	 * @return Returns the ape2.
	 */
	public String getApe2() {
		return ape2;
	}
	/**
	 * @param ape2 The ape2 to set.
	 */
	public void setApe2(String ape2) {
		this.ape2 = ape2;
	}
	
	/**
	 * @return Returns the domici.
	 */
	public String getDomici() {
		return domici;
	}
	/**
	 * @param domici The domici to set.
	 */
	public void setDomici(String domici) {
		this.domici = domici;
	}
	
	/**
	 * @return Returns the codmun.
	 */
	public String getCodmun() {
		return codmun;
	}
	/**
	 * @param codmun The codmun to set.
	 */
	public void setCodmun(String codmun) {
		this.codmun = codmun;
	}
	
	/**
	 * @return Returns the locali.
	 */
	public String getLocali() {
		return locali;
	}
	/**
	 * @param locali The locali to set.
	 */
	public void setLocali(String locali) {
		this.locali = locali;
	}
	
	/**
	 * @return Returns the codpro.
	 */
	public String getCodpro() {
		return codpro;
	}
	/**
	 * @param codpro The codpro to set.
	 */
	public void setCodpro(String codpro) {
		this.codpro = codpro;
	}
	
	/**
	 * @return Returns the codpst.
	 */
	public String getCodpst() {
		return codpst;
	}
	/**
	 * @param codpst The codpst to set.
	 */
	public void setCodpst(String codpst) {
		this.codpst = codpst;
	}
	
	/**
	 * @return Returns the pais.
	 */
	public String getPais() {
		return pais;
	}
	/**
	 * @param pais The pais to set.
	 */
	public void setPais(String pais) {
		this.pais = pais;
	}
	
	/**
	 * @return Returns the profesi.
	 */
	public String getProfesi() {
		return profesi;
	}
	/**
	 * @param profesi The profesi to set.
	 */
	public void setProfesi(String profesi) {
		this.profesi = profesi;
	}
	
	/**
	 * @return Returns the curso.
	 */
	public String getCurso() {
		return curso;
	}
	/**
	 * @param curso The curso to set.
	 */
	public void setCurso(String curso) {
		this.curso = curso;
	}
	
	/**
	 * @return Returns the denCurso.
	 */
	public String getDenCurso() {
		return denCurso;
	}
	/**
	 * @param denCurso The denCurso to set.
	 */
	public void setDenCurso(String denCurso) {
		this.denCurso = denCurso;
	}
	
	/**
	 * @return Returns the fechNom.
	 */
	public String getFechNom() {
		return fechNom;
	}
	/**
	 * @param fechNom The fechNom to set.
	 */
	public void setFechNom(String fechNom) {
		this.fechNom = fechNom;
	}
	
	/**
	 * @return Returns the fecSus.
	 */
	public String getFecSus() {
		return fecSus;
	}
	/**
	 * @param fecSus The fecSus to set.
	 */
	public void setFecSus(String fecSus) {
		this.fecSus = fecSus;
	}
	
	/**
	 * @return Returns the fecLeSus.
	 */
	public String getFecLeSus() {
		return fecLeSus;
	}
	/**
	 * @param fecLeSus The fecLeSus to set.
	 */
	public void setFecLeSus(String fecLeSus) {
		this.fecLeSus = fecLeSus;
	}
	
	/**
	 * @return Returns the fecRev.
	 */
	public String getFecRev() {
		return fecRev;
	}
	/**
	 * @param fecRev The fecRev to set.
	 */
	public void setFecRev(String fecRev) {
		this.fecRev = fecRev;
	}
	
	/**
	 * @return Returns the fecInha.
	 */
	public String getFecInha() {
		return fecInha;
	}
	/**
	 * @param fecInha The fecInha to set.
	 */
	public void setFecInha(String fecInha) {
		this.fecInha = fecInha;
	}
	
	/**
	 * @return Returns the durHab.
	 */
	public String getDurHab() {
		return durHab;
	}
	/**
	 * @param durHab The durHab to set.
	 */
	public void setDurHab(String durHab) {
		this.durHab = durHab;
	}
	
	/**
	 * @return Returns the sanciones.
	 */
	public String getSanciones() {
		return sanciones;
	}
	/**
	 * @param sanciones The sanciones to set.
	 */
	public void setSanciones(String sanciones) {
		this.sanciones = sanciones;
	}
	
	/**
	 * @return Returns the acredita.
	 */
	public String getAcredita() {
		return acredita;
	}
	/**
	 * @param acredita The acredita to set.
	 */
	public void setAcredita(String acredita) {
		this.acredita = acredita;
	}
	
	/**
	 * @return Returns the dAcredita.
	 */
	public String getDAcredita() {
		return dAcredita;
	}
	/**
	 * @param dAcredita The dAcredita to set.
	 */
	public void setDAcredita(String dAcredita) {
		this.dAcredita = dAcredita;
	}
	
	/**
	 * @return Returns the acreditaH.
	 */
	public String getAcreditaH() {
		return acreditaH;
	}
	/**
	 * @param acreditaH The acreditaH to set.
	 */
	public void setAcreditaH(String acreditaH) {
		this.acreditaH = acreditaH;
	}
	
	/**
	 * @return Returns the dAcreditaH.
	 */
	public String getDAcreditaH() {
		return dAcreditaH;
	}
	/**
	 * @param dAcreditaH The dAcreditaH to set.
	 */
	public void setDAcreditaH(String dAcreditaH) {
		this.dAcreditaH = dAcreditaH;
	}
	
	/**
	 * @return Returns the vinculaciones.
	 */
	public String getVinculaciones() {
		return vinculaciones;
	}
	/**
	 * @param vinculaciones The vinculaciones to set.
	 */
	public void setVinculaciones(String vinculaciones) {
		this.vinculaciones = vinculaciones;
	}
	
	/**
	 * @return Returns the enAseAutori.
	 */
	public String getEnAseAutori() {
		return enAseAutori;
	}
	/**
	 * @param enAseAutori The enAseAutori to set.
	 */
	public void setEnAseAutori(String enAseAutori) {
		this.enAseAutori = enAseAutori;
	}
	
	/**
	 * @return Returns the idCargo.
	 */
	public String getIdCargo() {
		return idCargo;
	}
	/**
	 * @param idCargo The idCargo to set.
	 */
	public void setIdCargo(String idCargo) {
		this.idCargo = idCargo;
	}
	
	public String getCargoVisible() {
		String denCargo = null;
		if (idCargo==null || "".equals(idCargo.trim())){
			return denCargo;			
		}
		String[] arrayClavesCargo = null;
		String tipoCargo = null;
		if ( (P06BConstantes.P06B_DIRECCION_RESPONS_MEDIACION.equals(tipo))
				|| (P06BConstantes.P06B_DIRECCION_TECNICA.equals(tipo))
				|| (P06BConstantes.P06B_PARTICIPES_DIRECTOS_MEDIACION.equals(tipo)) ){
				//Leemos los cargos de tipo Dirección
				arrayClavesCargo = P06BConstantes.P06B_CTES_COMBO_CARGO_DIREC;
				tipoCargo = P06BConstantes.P06B_CARGO_TIPO_RESTO;
		}else if (P06BConstantes.P06B_ADMINISTRADORES.equals(tipo)){
			//Leemos los cargos de tipo Administrador
			arrayClavesCargo = P06BConstantes.P06B_CTES_COMBO_CARGO_ADMIN;
			tipoCargo = P06BConstantes.P06B_CARGO_TIPO_ADMIN;
		}else{
			//Leemos los cargos de tipo Dirección para los tipos temporales 11, 12 y 13 (no hace falta)
			arrayClavesCargo = P06BConstantes.P06B_CTES_COMBO_CARGO_DIREC;
			tipoCargo = P06BConstantes.P06B_CARGO_TIPO_RESTO;
		}
    	if (arrayClavesCargo.length>0){
			for(int i=0;i<arrayClavesCargo.length;i++){
				if (arrayClavesCargo[i].equals(idCargo)){
					denCargo = "pantallas.desplegableCargo."+tipoCargo+"."+arrayClavesCargo[i];
				}
			}
		}

		return denCargo;
	}
//	public String getIdRep() {
//		return idRep;
//	}
//	public void setIdRep(String idRep) {
//		this.idRep = idRep;
//	}
//	public String getNomRep() {
//		return nomRep;
//	}
//	public void setNomRep(String nomRep) {
//		this.nomRep = nomRep;
//	}
//	public String getTipo1() {
//		return tipo1;
//	}
//	public void setTipo1(String tipo1) {
//		this.tipo1 = tipo1;
//	}
//	public String getRazSoc() {
//		return razSoc;
//	}
//	public void setRazSoc(String razSoc) {
//		this.razSoc = razSoc;
//	}
	/**
	 * @return Returns the tipo.
	 */
	public String getTipo() {
		return tipo;
	}
	/**
	 * @param tipo The tipo to set.
	 */
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	/**
	 * @return the operacion
	 */
	public int getOperacion() {
		return operacion;
	}
	/**
	 * @param operacion the operacion to set
	 */
	public void setOperacion(int operacion) {
		this.operacion = operacion;
	}
	/**
	 * @return the aprobado
	 */
	public int getAprobado() {
		return aprobado;
	}
	/**
	 * @param aprobado the aprobado to set
	 */
	public void setAprobado(int aprobado) {
		this.aprobado = aprobado;
	}
	/**
	 * @return the datos24Originales
	 */
	public P06B24T00Datatype getDatos24Originales() {
		return datos24Originales;
	}
	/**
	 * @param datos24Originales the datos24Originales to set
	 */
	public void setDatos24Originales(P06B24T00Datatype datos24Originales) {
		this.datos24Originales = datos24Originales;
	}
	
	/**
	 * @return Returns the nombre.
	 */
	public String getDenominacionCompleta() {
		String denominacion = "";
		if (getApe1()!= null){
			denominacion = getApe1();
			if (getApe2()!= null){
				denominacion = denominacion + " " + getApe2();
			}else{
				denominacion = denominacion + " ?";					
			}
			if (getNombre()!= null){
				denominacion = denominacion + ", " + getNombre();
			}else{
				denominacion = denominacion + ", ?";					
			}
		}else{
			if (getApe2()!= null){
				denominacion = "? " + getApe2();
				if (getNombre()!= null){
					denominacion = denominacion + ", " + getNombre();
				}else{
					denominacion = denominacion + ", ?";					
				}				
			}else{
				if (getNombre()!= null){
					denominacion = getNombre();
				}			
			}
		}
		return denominacion;
	}

	
}
